
QGIS Application - Bug report #6892

setDirty error when displaying DB Manager previews

2012-12-18 07:07 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16017

Description

If I:

- import a layer

- click on the Preview tab

- right-click on the tale name > Drop

 click on another preview

I get forever:

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/db_manager/db_manager.py", line 83,

in itemChanged

    self.refreshTabs()

  File "/usr/share/qgis/python/plugins/db_manager/db_manager.py", line 138,

in refreshTabs

    self.preview.loadPreview( item )

  File "/usr/share/qgis/python/plugins/db_manager/layer_preview.py", line

57, in loadPreview

    self._clear()

  File "/usr/share/qgis/python/plugins/db_manager/layer_preview.py", line

77, in _clear

    self.disconnect(self.item, SIGNAL, self.setDirty)

RuntimeError: wrapped C/C++ object of %S has been deleted

Associated revisions

Revision fc2a4a14 - 2013-08-22 06:30 PM - Salvatore Larosa

[dbmanager] skip RuntimeError: fixes #6892

Revision d100628d - 2013-08-23 10:15 AM - Giuseppe Sucameli

Merge pull request #827 from slarosa/fix_6892

[dbmanager] skip RuntimeError: fixes #6892

History
#1 - 2013-07-28 12:10 PM - Pedro Venâncio

Hi,

I got a similar error:

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/db_manager/db_manager.py", line 112, in tabChanged

    self.refreshTabs()

  File "/usr/share/qgis/python/plugins/db_manager/db_manager.py", line 138, in refreshTabs

    self.preview.loadPreview( item )

  File "/usr/share/qgis/python/plugins/db_manager/layer_preview.py", line 57, in loadPreview

    self._clear()

  File "/usr/share/qgis/python/plugins/db_manager/layer_preview.py", line 77, in _clear

    self.disconnect(self.item, SIGNAL('aboutToChange'), self.setDirty)

RuntimeError: underlying C/C++ object has been deleted

Python version:

2.7.3 (default, Apr 10 2013, 06:03:17) 

[GCC 4.6.3]

QGIS version:

1.9.0-Master Master, exported

To reproduce:

1) Start DB Manager

2) Select a table/layer and make "Preview" 

3) Import a new table/layer

4) Do "Preview" again, on any table

In the "Preview" window always appears the last layer that was selected in 2), before making an "Import".

#2 - 2013-08-23 01:15 AM - Giuseppe Sucameli

- Status changed from Open to Closed

Fixed in changeset commit:"d100628da299ded9edcba4dcd52051deef8fcbcb".
